Module jdk.javadoc
Package com.sun.javadoc

## Interface ProgramElementDoc

- All Superinterfaces:
    `Comparable<Object>`, `Doc`
  All Known Subinterfaces:
    `AnnotationTypeDoc`, `AnnotationTypeElementDoc`, `ClassDoc`, `ConstructorDoc`, `ExecutableMemberDoc`, `FieldDoc`, `MemberDoc`, `MethodDoc`

  Deprecated.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.

      @Deprecated
      public interface ProgramElementDoc
      extends Doc

  Represents a java program element: class, interface, field, constructor, or method. This is an abstract class dealing with information common to these elements.
  See Also:
    `MemberDoc`, `ClassDoc`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDesc[]` | `annotations​()` | Deprecated. Get the annotations of this program element.
    `ClassDoc` | `containingClass​()` | Deprecated. Get the containing class or interface of this program element.
    `PackageDoc` | `containingPackage​()` | Deprecated. Get the package that this program element is contained in.
    `boolean` | `isFinal​()` | Deprecated. Return true if this program element is final.
    `boolean` | `isPackagePrivate​()` | Deprecated. Return true if this program element is package private.
    `boolean` | `isPrivate​()` | Deprecated. Return true if this program element is private.
    `boolean` | `isProtected​()` | Deprecated. Return true if this program element is protected.
    `boolean` | `isPublic​()` | Deprecated. Return true if this program element is public.
    `boolean` | `isStatic​()` | Deprecated. Return true if this program element is static.
    `String` | `modifiers​()` | Deprecated. Get modifiers string.
    `int` | `modifierSpecifier​()` | Deprecated. Get the modifier specifier integer.
    `String` | `qualifiedName​()` | Deprecated. Get the fully qualified name of this program element.

    - ### Methods inherited from interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

- - ### Method Detail

    - #### containingClass

          ClassDoc containingClass​()

      Deprecated.
      Get the containing class or interface of this program element.
      Returns:
        a ClassDoc for this element's containing class or interface. If this is a top-level class or interface, return null.

    - #### containingPackage

          PackageDoc containingPackage​()

      Deprecated.
      Get the package that this program element is contained in.
      Returns:
        a PackageDoc for this element containing package. If in the unnamed package, this PackageDoc will have the name "".

    - #### qualifiedName

          String qualifiedName​()

      Deprecated.
      Get the fully qualified name of this program element. For example, for the class `java.util.Hashtable`, return "java.util.Hashtable".

      For the method `bar()` in class `Foo` in the unnamed package, return "Foo.bar".

      Returns:
        the qualified name of the program element as a String.

    - #### modifierSpecifier

          int modifierSpecifier​()

      Deprecated.
      Get the modifier specifier integer.
      Returns:
        Get the modifier specifier integer.
      See Also:
        `Modifier`

    - #### modifiers

          String modifiers​()

      Deprecated.
      Get modifiers string. For example, for:

             public abstract int foo() { ... }

      return "public abstract". Annotations are not included.
      Returns:
        "public abstract".

    - #### annotations

          AnnotationDesc[] annotations​()

      Deprecated.
      Get the annotations of this program element. Return an empty array if there are none.
      Returns:
        the annotations of this program element.
      Since:
        1.5

    - #### isPublic

          boolean isPublic​()

      Deprecated.
      Return true if this program element is public.
      Returns:
        true if this program element is public.

    - #### isProtected

          boolean isProtected​()

      Deprecated.
      Return true if this program element is protected.
      Returns:
        true if this program element is protected.

    - #### isPrivate

          boolean isPrivate​()

      Deprecated.
      Return true if this program element is private.
      Returns:
        true if this program element is private.

    - #### isPackagePrivate

          boolean isPackagePrivate​()

      Deprecated.
      Return true if this program element is package private.
      Returns:
        true if this program element is package private.

    - #### isStatic

          boolean isStatic​()

      Deprecated.
      Return true if this program element is static.
      Returns:
        true if this program element is static.

    - #### isFinal

          boolean isFinal​()

      Deprecated.
      Return true if this program element is final.
      Returns:
        true if this program element is final.